org.apache.solr.client.solrj.request.schema

## Class SchemaRequest.AddFieldType

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.UpdateResponse>
    - - org.apache.solr.client.solrj.request.schema.SchemaRequest.Update
      - - org.apache.solr.client.solrj.request.schema.SchemaRequest.AddFieldType

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    SchemaRequest

      public static class SchemaRequest.AddFieldType
      extends SchemaRequest.Update

  Update request used to add a new field type to the schema.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddFieldType(FieldTypeDefinition fieldTypeDefinition)` Creates a new instance of the request.
    `AddFieldType(FieldTypeDefinition fieldTypeDefinition, SolrParams q)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.solr.client.solrj.request.schema.SchemaRequest.Update

      `createResponse, getContentStreams`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

      `getParams`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddFieldType

          public AddFieldType(FieldTypeDefinition fieldTypeDefinition)

      Creates a new instance of the request.
      Parameters:
        `fieldTypeDefinition` - the field type definition
      See Also:
        Solr field types

    - #### AddFieldType

          public AddFieldType(FieldTypeDefinition fieldTypeDefinition,
                              SolrParams q)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.